#include <avr/io.h>
#include <avr/delay.h>
#include "klavesnice.h"

/*
 * JiriMachatyKlavesnice.c
 *
 * Created: 24.3.2012 17:38:16
 *  Author: Kain
 *
 * Vysilany ramec:
 *  -----------------------------------------------
 * |sync     | sync    | 1B     | 1B     | 1B      |
 * +---------+---------+--------+--------+---------+
 * |10101010 | 10101010| adresa | data   | CRC7 (adresa,data)
 *  -----------------------------------------------
 *
 *  SYNC znacka zajisti, ze se prijimac na druhe strane "naladi" na sled nasledene vysilanych dat v ramci sesynchronizuje se s vysilacem.
 *  Doted totiz muze prijimat ruzne ruseni a ve chvili prijeti naseho prvniho ramce by mohl byt uz v polovine UART ramce.
 */


int main(void)
{
	USART_init();

	uint8_t key = 0;

    while(1)
    {
		// Pockat dokud se nestiskne klavesa
		do {
		    key = KB_getKeyPress();
		} while(key == 0);

		KB_doTheJob(key);              // Udelat prislusnou akci po stisku
		key = 0;
		_delay_ms(250);                 // pockat az odezni zakmity klavesy, pripadne doladit
    }
}